"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mixAudioChunks = (chunks, size, mixerArgs) => {
    const bytesPerSample = mixerArgs.bitDepth / 8;
    const outputMixedChunk = Buffer.alloc(size);
    for (let index = 0; index < size; index += bytesPerSample) {
        let mixedSample = chunks.map((chunk) => chunk[`readInt${mixerArgs.endianness}`](index, bytesPerSample))
            .reduce((sample, nextSample) => sample + nextSample);
        mixedSample /= chunks.length;
        outputMixedChunk[`writeInt${mixerArgs.endianness}`](mixedSample, index, bytesPerSample);
    }
    return outputMixedChunk;
};
exports.default = mixAudioChunks;
